org.jboss.resteasy.keystone.model

## Class Project

- java.lang.Object
- - org.jboss.resteasy.keystone.model.Project

- All Implemented Interfaces:
    Serializable

      public class Project
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Project()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `Boolean` | `getEnabled()`
    `String` | `getId()`
    `String` | `getName()`
    `void` | `setDescription(String description)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Project

          public Project()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### getEnabled

          public Boolean getEnabled()

      Returns:
        the enabled

    - #### setEnabled

          public void setEnabled(Boolean enabled)

      Parameters:
        `enabled` - the enabled to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.